package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag768;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT768Creator;

/**
 * @author wuzhe
 * @date 2023/3/2
 */
public class Tag23XCreator extends AbsTagCreate {

     private MT768Creator mt768Creator;

    public Tag23XCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt768Creator= (MT768Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag23XValue = mt768Creator.getFileIdentification();
        mt768Creator.set("23X", tag23XValue);
    }
}
